package com.ruoyi.web.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * deepseek日志表(DeepSeekLog)表实体类
 *
 * @author wu
 * @since 2025-03-09 20:28:04
 */
@Data
@ApiModel("deepseek日志表实体类")
@TableName(value = "deep_seek_log")
public class DeepSeekLog implements Serializable {

    private static final long serialVersionUID = -12229366078230567L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /**
     * 最新访问时间
     */
    @ApiModelProperty(value = "最新访问时间")
    private Date latestAccessTime;

    /**
     * 总访问次数
     */
    @ApiModelProperty(value = "总访问次数")
    private Integer totalVisits;

    /**
     * 当天访问次数
     */
    @ApiModelProperty(value = "当天访问次数")
    private Integer dailyVisits;

}

